# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "redux_rails/version"

Gem::Specification.new do |spec|
  spec.name          = "redux_rails"
  spec.version       = ReduxRails::VERSION
  spec.authors       = ["Luke Popwell"]
  spec.email         = ["lukepopwell@mac.com"]
  spec.summary       = %q{Setup React and Redux for Rails 5.1}
  spec.description   = %q{Complete setup for React and Redux into Rails 5.1 pipeline or later. Includes initial Install generator, Pack generator for creating additional React apps in your Rails pipeline. Component and Container generators for adding new presentational components and container components anywhere in your project. Full description of install located at "https://github.com/Luke-Popwell/redux_rails" }
  spec.homepage      = "https://github.com/Luke-Popwell/redux_rails"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
